package domain


type AlibabaWdkChannelOrderUserrefundSubRefundOrder struct {
    /*
        盒马子单号     */
    SubBizOrderId  *string `json:"sub_biz_order_id,omitempty" `

    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        退款销售数量     */
    RefundSaleQuantity  *int64 `json:"refund_sale_quantity,omitempty" `

    /*
        退款金额     */
    RefundFee  *int64 `json:"refund_fee,omitempty" `

}

func (s *AlibabaWdkChannelOrderUserrefundSubRefundOrder) SetSubBizOrderId(v string) *AlibabaWdkChannelOrderUserrefundSubRefundOrder {
    s.SubBizOrderId = &v
    return s
}
func (s *AlibabaWdkChannelOrderUserrefundSubRefundOrder) SetSkuCode(v string) *AlibabaWdkChannelOrderUserrefundSubRefundOrder {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkChannelOrderUserrefundSubRefundOrder) SetRefundSaleQuantity(v int64) *AlibabaWdkChannelOrderUserrefundSubRefundOrder {
    s.RefundSaleQuantity = &v
    return s
}
func (s *AlibabaWdkChannelOrderUserrefundSubRefundOrder) SetRefundFee(v int64) *AlibabaWdkChannelOrderUserrefundSubRefundOrder {
    s.RefundFee = &v
    return s
}
